Bug 57315 - segfault upon exit (+fix)
segfault upon exit (+fix)
Product: Red Hat Powertools
Classification: Retired
Component: kwintv (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-12-10 03:11 EST by Michael Schwendt
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-10 03:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (444 bytes, patch)
2001-12-10 03:12 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2001-12-10 03:11:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
I do know Powertools have been suspended. But nevertheless here's a fix for

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start kwintv
2. exit kwintv

Actual Results:  Get a segfault or not, depending on the value an
uninitialized pointer has had.

Expected Results:  Clean program termination.

Additional info:

Patch attached.
Comment 1 Michael Schwendt 2001-12-10 03:12:40 EST
Created attachment 40248 [details]
Comment 2 Ngo Than 2001-12-13 09:42:05 EST
it's fixed in 0.8.5-6. You will find it on ftp://people.redhat.com/than/7.1.
thanks for the fix.

Note You need to log in before you can comment on or make changes to this bug.